diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 1b45068..f8f8084 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -43851,8 +43851,10 @@ Guess(F, S, EXPRR, R, retract, coerce): Exports == Implementation where
 
       guessHP(D: LGOPT -> HPSPEC): GUESSER == guessHPaux(#1, D #2, #2)
       
+--tpd comment out the call to displayAsGF. it won't type check
       guessADE(list: List F, options: LGOPT): GUESSRESULT == 
-          opts: LGOPT := cons(displayAsGF(true)$GuessOption, options)
+--tpd          opts: LGOPT := cons(displayAsGF(true)$GuessOption, options)
+          opts := options
           guessHPaux(list, diffHP opts, opts)
       
       guessADE(list: List F): GUESSRESULT == guessADE(list, [])
@@ -43877,12 +43879,16 @@ Guess(F, S, EXPRR, R, retract, coerce): Exports == Implementation where
 
       if F has RetractableTo Symbol and S has RetractableTo Symbol then
       
+--tpd comment out the call to displayAsGF. it won't type check
           guessADE(q: Symbol): GUESSER ==
-              opts: LGOPT := cons(displayAsGF(true)$GuessOption, #2)
+--tpd              opts: LGOPT := cons(displayAsGF(true)$GuessOption, #2)
+              opts := #2
               guessHPaux(#1, (diffHP q)(opts), opts)
 
+--tpd comment out the call to displayAsGF. it won't type check
       guessRec(list: List F, options: LGOPT): GUESSRESULT == 
-            opts: LGOPT := cons(displayAsGF(false)$GuessOption, options)
+--tpd            opts: LGOPT := cons(displayAsGF(false)$GuessOption, options)
+            opts := options
             guessHPaux(list, shiftHP opts, opts)
       
       guessRec(list: List F): GUESSRESULT == guessRec(list, [])
@@ -43902,20 +43908,26 @@ Guess(F, S, EXPRR, R, retract, coerce): Exports == Implementation where
 
       if F has RetractableTo Symbol and S has RetractableTo Symbol then
       
+--tpd comment out the call to displayAsGF. it won't type check
           guessRec(q: Symbol): GUESSER ==
-              opts: LGOPT := cons(displayAsGF(false)$GuessOption, #2)
+--tpd              opts: LGOPT := cons(displayAsGF(false)$GuessOption, #2)
+              opts := #2
               guessHPaux(#1, (shiftHP q)(opts), opts)
       
+--tpd comment out the call to displayAsGF. it won't type check
           guessPRec(q: Symbol): GUESSER ==
-              opts: LGOPT := append([displayAsGF(false)$GuessOption, 
-                                     maxPower(1)$GuessOption], #2)
+--              opts: LGOPT := append([displayAsGF(false)$GuessOption, 
+--                                     maxPower(1)$GuessOption], #2)
+              opts := #2
               guessHPaux(#1, (shiftHP q)(opts), opts)
       
+--tpd comment out the call to displayAsGF. it won't type check
           guessRat(q: Symbol): GUESSER ==
-              opts := append(#2, [displayAsGF(false)$GuessOption, 
-                                  maxShift(0)$GuessOption, 
-                                  maxPower(1)$GuessOption, 
-                                  allDegrees(true)$GuessOption])
+--tpd              opts := append(#2, [displayAsGF(false)$GuessOption, 
+--tpd                                  maxShift(0)$GuessOption, 
+--tpd                                  maxPower(1)$GuessOption, 
+--tpd                                  allDegrees(true)$GuessOption])
+              opts := #2
               guessHPaux(#1, (shiftHP q)(opts), opts)
       
       guess(list: List F, guessers: List GUESSER, ops: List Symbol, 
diff --git a/changelog b/changelog
index 02b64f3..b04e6c1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130226 tpd src/axiom-website/patches.html 20130226.01.tpd.patch
+20130226 tpd books/bookvol10.4 comment out bad code in GUESS
 20130225 tpd src/axiom-website/patches.html 20130225.01.tpd.patch
 20130225 tpd src/input/machinearithmetic.input unit test U32Matrix
 20130225 tpd src/algebra/Makefile add U32Matrix
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8f3e343..a229b84 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3987,5 +3987,7 @@ books/bookvol10.3 add U8Vector
 buglist add 7233: fill! operation from U8Vector does not show up
 <a href="patches/20130225.01.tpd.patch">20130225.01.tpd.patch</a>
 books/bookvol10.3 add U32Matrix
+<a href="patches/20130226.01.tpd.patch">20130226.01.tpd.patch</a>
+books/bookvol10.4 comment out bad code in GUESS
  </body>
 </html>
